<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmUserDataFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmUserDataFlags Enumeration

Visual Basic
C#
C++/CLI
Flags used in EdmUserData's mlFlags field when adding users with IEdmUserMgr6::AddUsers.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmUserDataFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmUserDataFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmUserDataFlags : public System.Enum

# Members

Member | Description
--- | ---
Edmudf_CopySettings | 4 = Copy the settings from the user with EdmUserData.mlUserID
Edmudf_ForceAdd | 2 = Add this user even if other users in the array sent to IEdmUserMgr7::AddUsers2 cannot be added
Edmudf_GetInterface | 1 = Return the IEdmUser6 interface in the structure
Edmudf_Nothing | 0 = None of the other flags

# See Also

####

EPDM.Interop.epdm Namespace